LOGGER(1)()

NAZWA
logger - powłokowy interfejs do systemowego modułu zapisu dziennika syslog(3)

SKŁADNIA
logger [-dhisV] [-f plik] [-n serwer] [-P port] [-p priorytet] [-t znacznik] [-u gniazdo] [komunikat]

OPIS
Logger tworzy wpisy w dzienniku systemowym. Zapewnia interfejs na poziomie poleceń powłoki do systemowego modułu zapisu dziennika syslog(3).

Opcje:

-d, - -udp
    Używa połączenia pakietowego (UDP) zamiast domyślnego strumieniowego (TCP).

-i, - -id
    Rejestruje identyfikator procesu logger w każdym wierszu.

-f, - -file plik
    Zapisuje do dziennika zawartość podanego pliku. Opcji nie można łączyć z komunikatem z wiersza poleceń.

-h, - -help
    Wyświetla pomoc i kończy pracę

-n, - -server serwer
    Zapisuje do podanego zdalnego sysloga na serwerze za pomocą UDP zamiast do wbudowanych mechanizmów syslog.

-P, - -port port
    Używa podanego portu UDP. Domyślnym portem jest 514.

-p, - -priority priorytet
    Zapisuje komunikat z zadanym priorytetem. Priorytet może być określony liczbowo lub jako para "podsystem.poziom-zagrożenia" ("facility.level"). Na przykład, "-p local3.info" rejestruje komunikat(y) jako o poziomie istotności informacyjnym pochodzące z podsystemu local3. Domyślnym priorytetem jest user.notice

-s, - -stderr
    Oprócz zapisu komunikatu do dziennika systemowego wysyła go na standardowe wyjście błędów.

-t, - -tag znacznik
    Oznakowuje każdy wiersz rejestru podanym znacznikiem.

-u, - -socket gniazdo
    Zapisuje do podanego gniazda zamiast do wbudowanych mechanizmów syslog.

-V, - -version
    Wyświetla informacje o wersji i wychodzi.

--  Kończy listę argumentów. Pozwala to rozpocząć komunikat minusem "-".

komunikat
    Zapisuje komunikat do dziennika; jeśli go nie podano i nie została użyta flaga -f, to zapis wykonywany jest ze standardowego wejścia.

Narzędzie logger kończy pracę z kodem 0 przy powodzeniu operacji, zaś >0 jeśli wystąpił błąd.

Poprawne nazwy podsystemów ("facility") to: auth, authpriv (do informacji o zabezpieczeniach o poufnym charakterze), cron, daemon, ftp, kern (nie może być wygenerowany z procesu użytkownika), lpr, mail, news, security (przestarzały synonim auth), syslog, user, uucp oraz od local0 do local7 włącznie.

Poprawne nazwy poziomów bezpieczeństwa ("level") to: alert, crit, debug, emerg, err, error (przestarzały synonim err), info, notice, panic (przestarzały synonim emerg), warning, warn (przestarzały synonim warning). Więcej informacji na temat kolejności priorytetów i przewidzianym sposobie ich użycia można przeczytać na stronie podręcznika syslog(3).

PRZYKŁADY
    logger System rebooted
    logger -p local0.notice -t HOSTIDM -f /dev/idmc
    logger -n loghost.example.com System rebooted

ZOBACZ TAKŻE
syslog(3), syslogd(8)

STANDARDY
Polecenie logger powinno być zgodne z p1003.2

DOSTĘPNOŚĆ
Polecenie logger jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.